html, body {
    height: 100%;
    background-color: black;

    margin: 0px;
    padding: 0px;
}

.menu-bar {
    position: absolute;
    top: 0.5em;
    left: -1em;

    padding-left: 1em;
    padding-right: 1em;

    float: left;

    width: auto;
    height: auto;
    border-radius: 1em;
    background-color: coral;
}

.separator {
    position: relative;

    width: 3px;
    height: 2em;

    margin-top: auto;
    margin-bottom: auto;

    float: left;
    background-color: #ffa550;
}

.submenu {
    position: relative;

    min-width: 2em;
    min-height: 2em;

    float: left;
    transition: all 0.3s ease;
}

.color-container {
    background-color: green;

    display: none;
    transition: all 0.3s ease;

    position: absolute;
    left: 0px;
    min-width: 8em;

    padding: 0.5em;
    padding-top: 0.6em;
}

.color-box {
    width: 2em;
    height: 2em;

    float: left;
}

#c-red { background-color: red; }
#c-green { background-color: green; }
#c-blue { background-color: blue; }
#c-black { background-color: black; }
#c-orange { background-color: orange; }
#c-purple { background-color: purple; }
#c-white { background-color: white; }
#c-yellow { background-color: yellow; }

.menu-buttons {
    position: relative;
    /* left: -50%; */

    min-width: 2em;
    min-height: 2em;

    float: left;
    transition: all 0.3s ease;
}

.menu-buttons:hover .menu-button {
    display: block;
}

.menu-button {
    margin: 10px;
    padding: 10px; 
    position: relative;

    transition: all 0.3s ease;
    display: block;
    float: left;
}

.button-dropdown {
    background-color: crimson;

    display: none;
    transition: all 0.3s ease;

    padding-top: 0.6em;
}

.button-dropdown .resource-name {
    padding: 10px 5px;
    padding-right: 10px;
}

.menu-button:hover {
    background-color: crimson;
}

.menu-button:hover .button-dropdown {
    position: absolute;
    left: 0px;
    display: block;
}

.menu-button:hover .color-container {
    display: block;
}

.my-games-list {
    padding: 0.5em;
}

.game-object:hover {
    background-color: darkred;
}

.server-controls-list {
    padding: 0.5em;
}

.login-input-div {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
}

.login-input-label {
    margin: 1em;
}

.menu-input {
    margin: 1em;
    margin-bottom: 0em;
    padding: 0.5em;
}

.menu-input-button {
    margin: 1em;
    padding: 0.5em;
    width: 80%;

    border: 0.1em solid red;
    background-color: firebrick;
}

.menu-input-button:hover {
    background-color: #b23322;
}

.menu-input-button:active {
    background-color: #e22222;
}

.server-control {
    min-width: 120px;
}

.server-control:hover {
    background-color: darkred;
}

.canvas {
    margin: 0px;
    padding: 0px;

    width: 100%;
    height: 99%;

    background-color: brown;
}

.foot-bar {
    font-size: 12px;
    height: 2%;
}